package net.phoenixinquis.minecraft.surfaceworld;

import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraftforge.common.DimensionManager;
import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.SidedProxy;
import cpw.mods.fml.common.Mod.EventHandler;
import cpw.mods.fml.common.Mod.Instance;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import cpw.mods.fml.common.network.NetworkMod;
import cpw.mods.fml.common.registry.GameRegistry;

@Mod(modid = "Phoenix_SurfaceWorld", name = "Surface World", version = "0.0.0")
@NetworkMod(clientSideRequired = true)
public class SurfaceWorld {

	public static final String modid = "Phoenix_SurfaceWorld";
	
	// The instance of your mod that Forge uses.
	@Instance(value = SurfaceWorld.modid)
	public static SurfaceWorld instance;

//	// Says where the client and server 'proxy' code is loaded.
//	@SidedProxy(clientSide = "net.phoenixinquis.minecraft.surfaceworld.client.ClientProxy", serverSide = "net.phoenixinquis.minecraft.surfaceworld.CommonProxy")
//	public static CommonProxy proxy;

	public static int dimensionId = 8;
	public static Block surfaceWorldBlock;
	public static Block surfaceWorldPortal;
	public static Item surfaceWorldItem;
	
	@EventHandler
	// used in 1.6.2
	// @PreInit // used in 1.5.2
	public void preInit(FMLPreInitializationEvent event) {
		// Stub Method
	}

	@EventHandler
	// used in 1.6.2
	// @Init // used in 1.5.2
	public void load(FMLInitializationEvent event) {
		DimensionManager.registerProviderType(SurfaceWorld.dimensionId, WorldProviderSurfaceWorld.class, false);
		DimensionManager.registerDimension(SurfaceWorld.dimensionId, SurfaceWorld.dimensionId);
		surfaceWorldItem = new ItemSurfaceWorld(5000).setUnlocalizedName("surfaceWorldItem");
		surfaceWorldBlock = new BlockSurfaceWorldBlock(500, Material.rock).setUnlocalizedName("surfaceWorldBlock");
		surfaceWorldPortal = new BlockSurfaceWorldPortal(501).setUnlocalizedName("surfaceWorldPortalBlock");
		GameRegistry.registerBlock(surfaceWorldBlock, ItemSurfaceWorldBlock.class, modid + (surfaceWorldBlock.getUnlocalizedName().substring(5)));
		GameRegistry.registerBlock(surfaceWorldPortal, modid + (surfaceWorldPortal.getUnlocalizedName().substring(5)));
//		proxy.registerRenderers();
	}

	@EventHandler
	// used in 1.6.2
	// @PostInit // used in 1.5.2
	public void postInit(FMLPostInitializationEvent event) {
		// Stub Method
	}
}
